Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 08-30-05, 07:47 PM   #1
PsyKo
Registered User
 
Join Date: Aug 2005
Posts: 2
Default nv1.0.6111 with 2.6.13?

For quite some time now I have been limited to having to use nVidia's 1.0.6111 driver due to the fact the newer drivers just cause X to hang whether logo on/off. From what I gather in other threads this is a common thing. I'm currently running the 2.6.10 kernel from kernel.org on my Gentoo Linux install, although I would like to upgrade, I can't seeing how the new drivers just cause X to hang and the newer kernels don't let you compile the old nvidia driver. Does anyone know if 2.6.13 lets you compile the old nvidia driver, or if there are any other solutions?

Hardware Information.
AMD 2400+, Matsonic 8147C motherboard (KT400 chipset), nvidia Geforce 4MX440 AGP 8x
PsyKo is offline   Reply With Quote
Old 08-31-05, 02:11 AM   #2
Thunderbird
 
Join Date: Jul 2002
Location: Netherlands, Europe
Posts: 2,105
Default Re: nv1.0.6111 with 2.6.13?

This driver won't compile with 2.6.13. For some more recent 6xxx releases there were unofficial patches to get it to compile with recent kernels but thought they weren't for the latest kernel versions. If you really want a new kernel try the latest drivers, perhaps those work now for you.
Thunderbird is offline   Reply With Quote
Old 08-31-05, 07:39 AM   #3
arokh
Registered User
 
arokh's Avatar
 
Join Date: Jun 2004
Posts: 287
Default Re: nv1.0.6111 with 2.6.13?

No, machine hang is not a common thing when correctly installed.
__________________
Asus A8N32-SLI : AMD64 3700+ @ 2.85GHz : 2GB PC4000 OCZ Platinum EB : 2x 7800GT SLI
arokh is offline   Reply With Quote
Old 08-31-05, 08:15 PM   #4
PsyKo
Registered User
 
Join Date: Aug 2005
Posts: 2
Default Re: nv1.0.6111 with 2.6.13?

arokh, whether a misunderstanding or pure ignorance on your part, I don't think over 15,000+ people are installing the driver wrong. http://www.nvnews.net/vbulletin/showthread.php?t=50254 take a look for yourself. Instead of being an ignoramus, why don't you get off your high horse and offer a suggestion. The driver is automatically installed through Gentoo's portage as is nvidia-glx. Thunderbird I appreciate the help, can you please link me to where these patches are? When I get around to trying the new driver I will but I am not going to get my hopes up seeing how all releases after 6111 have not worked.
PsyKo is offline   Reply With Quote
Old 09-01-05, 09:57 AM   #5
PrakashP
gentoo ~x86_64 user
 
PrakashP's Avatar
 
Join Date: Jul 2004
Location: Germania
Posts: 213
Default Re: nv1.0.6111 with 2.6.13?

I made 6111 work by patching the kernel. I explained in the gentoo forum how.
PrakashP is offline   Reply With Quote
Old 09-20-05, 02:36 AM   #6
arokh
Registered User
 
arokh's Avatar
 
Join Date: Jun 2004
Posts: 287
Default Re: nv1.0.6111 with 2.6.13?

Quote:
Originally Posted by PsyKo
arokh, whether a misunderstanding or pure ignorance on your part, I don't think over 15,000+ people are installing the driver wrong. http://www.nvnews.net/vbulletin/showthread.php?t=50254 take a look for yourself. Instead of being an ignoramus, why don't you get off your high horse and offer a suggestion. The driver is automatically installed through Gentoo's portage as is nvidia-glx. Thunderbird I appreciate the help, can you please link me to where these patches are? When I get around to trying the new driver I will but I am not going to get my hopes up seeing how all releases after 6111 have not worked.
Wow, 15000? That's quite some number you pulled out of your hat. Problems with borked Gentoo installations I usually relate to user error as well.
__________________
Asus A8N32-SLI : AMD64 3700+ @ 2.85GHz : 2GB PC4000 OCZ Platinum EB : 2x 7800GT SLI
arokh is offline   Reply With Quote
Old 09-20-05, 03:42 AM   #7
debian_penguin
Linux Addicted
 
debian_penguin's Avatar
 
Join Date: Aug 2005
Posts: 61
Default Re: nv1.0.6111 with 2.6.13?

Cheers all!

@PrakashP, may I ask you if you can be so kind to send us a link to the gentoo forum you've metioned in your previous post? I'm sorry to ask you to do so without googling that much, but I don't have much time to search for it and I need to use kernel 2.6.13 and gcc-4.0 as soon as possible.

@arokh: yes, machine hung is not so common when the driver is correctly installed. It is also true, however, that when you are one of those unfortunate who have a correctly installed machine (and I mean correctly in every sense, independently on which distro you're using, machine VBIOS or SBIOS, shared libraries, compilers etc...), but nevertheless it hungs, it is quite a frustrating situation. So I'm only saying this: thank you for all the help you've provided in a lot of different situations, proving yourself what a lot of people would call a "guru", but please don't get angry at everyone is writing on the forum that he/she can't do something... lot of people here is in the same situation as PsyKo's, me too, stuck with 2.6.10 kernel, probably owning a laptot (so no way to change graphic chipset), managing to get the main functionalities by continuously patching older kernel without the possibility to use newer ones. And not all of us are newbies.
I apologize with you if I offended you in any way, I don't want to be supponent, or "morally superior" at all, just I'm a bit fed up with personal discussion continuously taking place in those forums, where so many precious informations are stored.

Thank you, hope one day we'll resolve this issue,
sorry again for this post,

d_p
debian_penguin is offline   Reply With Quote
Old 09-20-05, 03:49 AM   #8
PrakashP
gentoo ~x86_64 user
 
PrakashP's Avatar
 
Join Date: Jul 2004
Location: Germania
Posts: 213
Default Re: nv1.0.6111 with 2.6.13?

http://forums.gentoo.org/viewtopic-t...ight-6111.html
PrakashP is offline   Reply With Quote

Old 09-20-05, 03:53 AM   #9
debian_penguin
Linux Addicted
 
debian_penguin's Avatar
 
Join Date: Aug 2005
Posts: 61
Default Re: nv1.0.6111 with 2.6.13?

Well, thank you!!!


d_p
debian_penguin is offline   Reply With Quote
Old 09-26-05, 03:43 AM   #10
debian_penguin
Linux Addicted
 
debian_penguin's Avatar
 
Join Date: Aug 2005
Posts: 61
Arrow Re: nv1.0.6111 with 2.6.13?

@PsyKo:
Hi, I've had your problem for quite a long time now. I couldn't even change to the newer 6629 release 'cause even it would freeze the system. And I had to boot my laptop (HP pavilion zv5000, or Compaq presario r3000 if you prefer [they are the same machine]) without the apic support in my kernel, otherwise even the vesa driver would lock up everything.

But it seems, at least for the moment, that some really nice people from this forum have found a way to allow us to use a newer kernel. I'm now running on a 2.6.13.2 custom kernel (from www.kernel.org, no unofficial patches), with apic and local apic working, nvidia kernel driver 6629, without having a freeze. I've tried some GL applications (q3 arena, et, armagetron, glxgears, gl screensavers...) and QT applications (which where the main responsibles for my crashes, such as konqueror, akregator, various splash screens, kde in general, blah blah ....) and I've been up now for at least 3 hours without locks nor Xid's.


Maybe you could try, too, I think we are much in the same situation. The way you can get the 6629 driver to work under the 2.6.13.2 kernel is accurately reported in this thread:
http://www.nvnews.net/vbulletin/showthread.php?t=56926

Basically, you just have to patch the 6629 driver, and then install it. Everything goes really smooth, then.

I had tried EVERY other solution found in this and in other forums, I've even tried to patch the 6111 driver by myself to allow for its compilation under newer kernels, without any success, though. So it's worth a try.

Good luck, hope it helps...

d_p
debian_penguin is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 01:19 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.